package com.ningdatech.kqapi.scheduler.controller;


import com.ningdatech.kqapi.scheduler.manage.SynManage;
import com.ningdatech.kqapi.scheduler.task.RemoveMattersTask;
import com.ningdatech.kqapi.zzsfw.entity.vo.MatterTopVO;
import com.ningdatech.kqapi.zzsfw.entity.vo.TreeVO;
import com.ningdatech.kqapi.zzsfw.manage.MatterManage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.net.UnknownHostException;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ZPF
 * @since 2023-10-27
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/task/")
@Api(value = "TaskController", tags = "柯桥-定时控制器")
@RequiredArgsConstructor
public class TaskController {
    private final RemoveMattersTask removeMattersTask;

    private final SynManage synManage;

    @ApiOperation(value = "主动调删除数据", notes = "主动调删除数据")
    @GetMapping("/remove-matters")
    public void removeMatters() throws UnknownHostException {
        removeMattersTask.doTask();
    }

    @ApiOperation(value = "主动同步三表", notes = "主动同步三表")
    @GetMapping("/syn-data")
    public void synData() throws UnknownHostException {
        synManage.synData();
    }
}
